Skip to main content

Key Configurations

View as Markdown

Resource management for secure Databricks Workspace deployment, cross-account IAM roles, storage, encryption, networking and private access.

List Customer Managed Key Public GA

GET /api/2.0/accounts/{account_id}/customer-managed-keys

Lists <Databricks> customer-managed key configurations for an account.

API scopes: provisioning

CloudsAWSGCP

Parameters

account_idstringpath

Response

customer_managed_keysarray of object
Show child attributesHide child attributes
customer_managed_key_idstring

ID of the encryption key configuration object.

creation_timeint64

Time in epoch milliseconds when the customer key was created.

account_idstring

The <Databricks> account ID that holds the customer-managed key.

aws_key_infoobjectRequired
Show child attributesHide child attributes
key_arnstring

The AWS KMS key's Amazon Resource Name (ARN).

Example: arn:aws:kms:us-west-2:111122223333:key/0987dcba-09fe-87dc-65ba-ab0987654321

key_aliasstring

The AWS KMS key alias.

Example: alias/projectKey1

key_regionstring

The AWS KMS key region.

Example: us-east-1

reuse_key_for_cluster_volumesboolean

This field applies only if the use_cases property includes STORAGE. If this is set to true or omitted, the key is also used to encrypt cluster EBS volumes. If you do not want to use this key for encrypting EBS volumes, set to false.

Example: true

gcp_key_infoobjectRequired
Show child attributesHide child attributes
kms_key_idstring

Globally unique kms key resource id of the form projects/testProjectId/locations/us-east4/keyRings/gcpCmkKeyRing/cryptoKeys/cmk-eastus4

gcp_service_accountobject

Globally unique service account email that has access to the KMS key. The service account exists within the Databricks CP project.

Show child attributesHide child attributes
service_account_emailstring
use_casesarray of string

The cases that the key can be used for.

Values: MANAGED_SERVICES, STORAGE